Probleme mit Softwareupdate

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Probleme mit Softwareupdate

      Hallo, habe heute seit längerem mal wieder ein Update des Images durchgeführt.
      Nutze zwar schon ewig das Weekly, habe aber dennoch nicht wirklich regelmäßig aktualisiert.

      Problem ist das es beim Softwareupdate über die GUI zu einem Collected Error kam und das Softwareupdate abgebrochen werden musste.
      Beim kontrollieren der einzelnen Pakete und einem Updateversuch über die Konsole kam zu Tage, dass die beiden Pakete python-cfscrape und python-requests die Probleme verursachen.
      Offenbar existieren sie auf dem Feed wohl nicht so wie ich die Ausgabe auf der Konsole verstehe. Beide Plugins mussten manuell installiert werden um das Mediaportal lauffähig zu halten, da diese vor einiger Zeit dort als Abhängigkeiten hinzugefügt wurden aber nicht im Paket eingebunden waren.

      Wie kann ich das Problem lösen?
      Muss ich die beiden Pakete löschen und nach dem Update neu installieren?
      Liegen sie tatsächlich nicht auf dem Feed?
      Tritt das Problem dann zukünftig bei jedem Update auf?

      Hoffe das mir jemand sachliche Hinweise geben kann.
      PlugIn's: AMS, Autotimer, Seriesplugin, Cool Guide, Epgrefresh/backup, SerienRecorder, MediaPortal
    • MarkoP wrote:


      .. dass die beiden Pakete python-cfscrape und python-requests die Probleme verursachen.
      Offenbar existieren sie auf dem Feed wohl nicht so wie ich die Ausgabe auf der Konsole verstehe.
      Liegen beide auf dem Feed:
      feed.newnigma2.to/weekly/oe2.0…ape_1.6.6-r1_mips32el.ipk
      feed.newnigma2.to/weekly/oe2.0…ts_2.11.1-r2_mips32el.ipk
    • Im Log sieht man, dass ein opkg update durchgeführt wurde. Dafür wurde ja das Alias update eingeführt, dass alles gemacht wird ;)

      Es ist viel mehr sehr merkwürdig, was für eine Version da geladen werden soll:

      Source Code

      1. Upgrading python-cfscrape on flash from 1.6.6-r0 to 1.6.6+git0+5da4af148f-r0.1...

      Auf dem mips32el Feed liegt aber nur 1.6.6-r1. Woher kommt also diese git Version? Hast du da mal was manuell installiert?
      Probier mal, ob du das Paket deinstallieren und von Hand installieren kannst:

      Source Code

      1. opkg remove python-cfscrape
      2. update
      3. opkg install python-cfscrape

      Achja: Hat das einen bestimmten Grund, dass du soviele Pakete auf hold hast? Das ist keine gute Idee, wenn die Pakete unterschiedlichen Versionsstand haben. Inbsesondere alte Plugins, in neuerem e2 könnten durchaus crashen.
    • Beide Pakete sind manuell instaliert worden. Wie das MediaPortal damals 'umgestellt' wurde auf die Abhängigkeiten waren diese definitiv nicht auf dem Feed.
      Kann also sein, dass es andere Pakete sind als jetzt inzwischen auf dem Feed liegen, ist ja schon ne Weile her (ca. halbes Jahr fast).
      Werde es also mal mit dem Deinstallieren probieren und dann Rückmeldung geben.

      Was die Plugins auf Hold angeht, sind das meines Wissens nur 3. Einmal VideoDB, weil es da ständig Probleme mit der Feedversion gab was die py-Dateien anging.
      Ein anderes ist AutomaticCleanup, was es in der Vollversion nicht auf dem Feed gibt. Jedenfalls wird das immer beim Softwareupdate auf eine reduzierte Version upgedated wenn das Hold nicht gesetzt ist.
      Das dritte müsste meines Wissens EasyMedia sein. Das steht auf Hold weil ich da manuell was am Code für mich angepasst habe um bestimmte zusätzliche Verknüpfungen reinzubringen.
      PlugIn's: AMS, Autotimer, Seriesplugin, Cool Guide, Epgrefresh/backup, SerienRecorder, MediaPortal
    • Also Deinstallieren lies sich das cfscrape normal, das requests musste mit force erzwungen werden.
      Update scheint jetzt soweit fehlerfrei zu sein, jedoch läßt sich keins der beiden Pakete neu installieren (siehe angehängte Datei).

      P.S. wenn ich es richtig lese, versucht er doch wieder eine r0 zu installieren, die er ja nicht finden kann. Richtig?
      Files
      PlugIn's: AMS, Autotimer, Seriesplugin, Cool Guide, Epgrefresh/backup, SerienRecorder, MediaPortal
    • @Joey
      In der Richtung habe ich auch schon gedacht, deshalb erstmal online probiert. Softwareupdate über die GUI lief ordentlich durch. Onlineinstallation der beiden einzelnen Pakete führte bei beiden zu Collected Errors.
      Leider bekomme ich deine beiden Dateien die du weiter oben gelistet hast nicht heruntergeladen. Bei mir wird entweder eine html-Datei gespeichert oder der codierte Text angezeigt.
      Gibt es dabei einen Trick wie ich die ipk's runterladen kann?

      Boxneustart konnte ich wegen einer Aufnahme noch nicht durchführen, wollte ich aber vorher auch mal ausprobiert haben.
      PlugIn's: AMS, Autotimer, Seriesplugin, Cool Guide, Epgrefresh/backup, SerienRecorder, MediaPortal
    • Soweit schon klar, aber dann wird bei mir nur eine htm-Datei gespeichert.

      P.S. Zur Ergänzung nutze IE 11 unter Win10. Sollte ja keinen Unterschied ausmachen, aber möglich ist ja alles.
      PlugIn's: AMS, Autotimer, Seriesplugin, Cool Guide, Epgrefresh/backup, SerienRecorder, MediaPortal
    • Nimm mal nen richtigen Browser.

      edit:
      ich hänge die zwei Pakete aus dem Feed mal hier an. kp ob das nen Unterschied beim Download macht.
      Files
    • Danke so geht's. Jetzt wird eine ipk-Datei gespeichert. Rückmeldung gibt es morgen, die Box ist heute Abend erst mal mit Aufnahmen beschäftigt.

      IE ist ein richtiger Browser und nach wie vor der beste den es gibt. Alle anderen sind abgespeckt, unterstützen nicht alle Funktionen oder Scriptsprachen.
      Keine Ahnung was die Leute immer gegen IE haben. Viren gibt es für die anderen Browser inzwischen auch genug.
      PlugIn's: AMS, Autotimer, Seriesplugin, Cool Guide, Epgrefresh/backup, SerienRecorder, MediaPortal
    • Danke, hat offensichtlich funktioniert.
      Beide Pakete sind manuell installiert und Softwareupdate geht auch problemlos.
      MediaPortal läuft ebenfalls.
      PlugIn's: AMS, Autotimer, Seriesplugin, Cool Guide, Epgrefresh/backup, SerienRecorder, MediaPortal